aboutsummaryrefslogtreecommitdiff
path: root/services/docker/git-server/app/lighttpd-wrapper.bash
diff options
context:
space:
mode:
Diffstat (limited to 'services/docker/git-server/app/lighttpd-wrapper.bash')
-rwxr-xr-xservices/docker/git-server/app/lighttpd-wrapper.bash9
1 files changed, 9 insertions, 0 deletions
diff --git a/services/docker/git-server/app/lighttpd-wrapper.bash b/services/docker/git-server/app/lighttpd-wrapper.bash
new file mode 100755
index 0000000..54079ad
--- /dev/null
+++ b/services/docker/git-server/app/lighttpd-wrapper.bash
@@ -0,0 +1,9 @@
+#!/usr/bin/bash
+
+set -e
+
+[[ -f /git/user-info ]] || touch -a /git/user-info
+
+exec 3>&1
+exec 4>&1
+exec lighttpd -D -f /app/lighttpd/lighttpd.conf